.TH curs_scr_dump 3 ""
.SH NAME
\fBscr_dump\fR, \fBscr_restore\fR,
\fBscr_init\fR, 
\fBscr_set\fR - read (write) a \fBncurses\fR screen from (to) a file
.SH SYNOPSIS
\fB#include <ncurses.h>\fR

\fBint scr_dump(char *filename);\fR
.br
\fBint scr_restore(char *filename);\fR
.br
\fBint scr_init(char *filename);\fR
.br
\fBint scr_set(char *filename);\fR
.br
.SH DESCRIPTION
The \fBscr_dump\fR routine dumps the current contents of the virtual screen
to the file \fIfilename\fR.

The \fBscr_restore\fR routine sets the virtual screen to the contents
of \fIfilename\fR, which must have been written using \fBscr_dump\fR.  The next
call to \fBdoupdate\fR restores the screen to the way it looked in the dump
file.

The \fBscr_init\fR routine reads in the contents of \fIfilename\fR and uses
them to initialize the \fBncurses\fR data structures about what the terminal
currently has on its screen.  If the data is determined to be valid,
\fBncurses\fR bases its next update of the screen on this information rather
than clearing the screen and starting from scratch.  \fBscr_init\fR is used
after \fBinitscr\fR or a \fBsystem\fR [see \fBsystem\fR(BA_LIB)] call to share
the screen with another process which has done a \fBscr_dump\fR after its
\fBendwin\fR call.  The data is declared invalid if the time-stamp of the tty
is old or the terminfo capabilities \fBrmcup\fR and \fBnrrmc\fR exist.

The \fBscr_set\fR routine is a combination of \fBscr_restore\fR and
\fBscr_init\fR.  It tells the program that the information in \fIfilename\fR is
what is currently on the screen, and also what the program wants on the screen.
This can be thought of as a screen inheritance function.

To read (write) a window from (to) a file, use the \fBgetwin\fR and
\fBputwin\fR routines [see \fBcurs_util\fR(3)].
.SH RETURN VALUE
All routines return the integer \fBERR\fR upon failure and \fBOK\fR
upon success.
.SH NOTES
Note that \fBscr_init\fR, \fBscr_set\fR, and \fBscr_restore\fR may be macros.
.BUGS
The time-stamp and rmcup/nrrmc checks are not implemented in \fBncurses\fR(3).
.SH SEE ALSO
\fBncurses\fR(3), \fBcurs_initscr\fR(3), \fBcurs_refresh\fR(3),
\fBcurs_util\fR(3), \fBsystem\fR(3)
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
